
	<div class="nav-sm" *ngIf="!showHome()">
		<div class="container body">
			<div class="main_container">

          <!-- /sidebar menu -->
          <div >
            <div>
              <div class="innerDiv sidebar" [ngClass]="{'mySidenav sidenav': navbarOpen}">
                <button *ngIf="!navbarOpen" type="button" class="btn btn-default no-outline" [ngClass]="{'btn-hover':!navbarOpen}">
                  <img src="assets/images/feature_icons/double_right_arrow.svg" id="sidebar-right-arrow" 
                  (click)="expandSidebar()" alt="more-info"/>
                </button>
                <button *ngIf="navbarOpen" type="button" class="btn btn-default no-outline" id="close-btn" (click)="expandSidebar()">
                  <img src="assets/images/feature_icons/Back.svg" class="closebtn"  alt="close"/>
                </button>
                <button type="button" class="btn btn-default btn-hover" routerLink="/landing">
                  <img src="assets/images/feature_icons/gb_home.svg" id="home-sidebar-icon" alt="home"/>
                  <span *ngIf="navbarOpen">GlassBox Home</span>
                </button>
                <div [ngClass]="{'ctg-panel': navbarOpen}">
                <button type="button" class="btn btn-default btn-hover" data-toggle="collapse" data-target="#catalog-lineage"
                [ngClass]="{'collapsed': navbarOpen}" [routerLink]="!navbarOpen ? ['/landing/dataCatalogue'] : []">
                  <img src="assets/images/feature_icons/data_chart.svg" class="header-icons" alt="data catlog"/>
                  <span *ngIf="navbarOpen">Data Catalog & Lineage</span> 
                </button>
                <div id="catalog-lineage" class="collapse" *ngIf="navbarOpen">
                  <ul class="list-group">
                    <li class="list-group-item" routerLink="/landing/dataCatalogue">Objects</li>
                    <li class="list-group-item">Data Assets</li>
                    <li class="list-group-item">Glossary</li>
                  </ul>
                </div>
                </div>
                <!-- <button type="button" class="btn btn-default" routerLink="/landing/brms">
                  <img src="assets/images/feature_icons/Compass.svg" class="header-icons" alt="rules manager"/>
                  <span *ngIf="navbarOpen">Rules Management</span>
                </button> -->
                <div [ngClass]="{'rules-panel': navbarOpen}">
                  <button type="button" class="btn btn-default btn-hover" data-toggle="collapse" data-target="#rules-link"
                  [ngClass]="{'collapsed': navbarOpen}" [routerLink]="!navbarOpen ? ['/landing/dataQuality'] : []">
                  <img src="assets/images/feature_icons/Compass.svg" class="header-icons" alt="rules manager"/>                    
                  <span *ngIf="navbarOpen">Rules Management</span> 
                  </button>
                  <div id="rules-link" class="collapse" *ngIf="navbarOpen">
                    <ul class="list-group">
                      <li class="list-group-item" routerLink="/landing/dataQuality">Data Quality</li>
                    </ul>
                  </div>
                  </div>
                <button type="button" class="btn btn-default btn-hover" routerLink="/landing/dataQuality">
                    <img src="assets/images/feature_icons/Chess_Piece.svg" class="header-icons" alt="governance"/>
                    <span *ngIf="navbarOpen">Governance</span>
                </button>
                <button type="button" class="btn btn-default btn-hover">
                  <img src="assets/images/feature_icons/Distribution.svg" class="header-icons" alt="data lab"/> 
                  <span *ngIf="navbarOpen">Library Of Dashboards</span>
                </button>
                <button type="button" class="btn btn-default btn-hover">
                  <img src="assets/images/feature_icons/library_dashboards.svg" id="lib_dashboard" alt="library dashboard"/>
                  <span *ngIf="navbarOpen">Analytical Workbench</span>
                </button>
                <button type="button" class="btn btn-default btn-hover">
                  <img src="assets/images/feature_icons/Network_Diagram.svg" class="header-icons" alt="workbench"/>
                  <span *ngIf="navbarOpen">Data Lab</span>
                </button>
                <div [ngClass]="{'admin-panel': navbarOpen}" *ngIf="authenticateService.userInfo?.is_admin">
                  <button type="button" class="btn btn-default btn-hover" data-toggle="collapse" data-target="#admin-link"
                  [ngClass]="{'collapsed': navbarOpen}" [routerLink]="!navbarOpen ? ['/landing/admin/usermanagement'] : []">
                  <img src="assets/images/feature_icons/settings.svg" class="header-icons admin-img" alt="admin"/>                    
                  <span *ngIf="navbarOpen">Administration</span> 
                  </button>
                  <div id="admin-link" class="collapse" *ngIf="navbarOpen">
                    <ul class="list-group">
                      <li class="list-group-item user-mgmt" routerLink="/landing/admin/usermanagement">User Management</li>
                      <li class="list-group-item" routerLink="/landing/admin/connectors">Connectors / Libraries</li>
                      <li class="list-group-item" routerLink="/landing/admin/layers">Layers Management</li>
                      <li class="list-group-item" routerLink="/landing/admin/announcements">Notifications</li>
                    </ul>
                  </div>
                  </div>
              </div>
            </div>
          </div>
        	<!-- /sidebar menu -->

       <!-- page content -->
       <div class="right_col" role="main">	
        <div class="page-heading"><span>{{getTitle()}}</span></div>
        <div class="main-content-right">
          <router-outlet></router-outlet>
        </div>
      </div>
      <!-- page content -->
			</div>
		</div>
	
	</div>

  <app-landing-view *ngIf="showHome()"></app-landing-view>